#include <stdio.h>

/*
 *	Copyright (C) 2002-2005 Novell/SUSE
 *
 *	This program is free software; you can redistribute it and/or
 *	modify it under the terms of the GNU General Public License as
 *	published by the Free Software Foundation, version 2 of the
 *	License.
 */
#include <unistd.h>
#include <errno.h>
#include <sys/types.h>
#include <sys/wait.h>
#include <signal.h>
// getenv
#include <stdlib.h>

#define VAR "LD_LIBRARY_PATH"

int main(int argc, char *argv[])
{
pid_t pid;

extern char **environ;

	if (argc < 2){
		fprintf(stderr, "usage: %s program [args] \n", argv[0]);
		return 1;
	}

	pid=fork();

	if (pid){	/* parent */
		int status;

		while (wait(&status) != pid);

		if (WIFEXITED(status)) {
      if (WEXITSTATUS(status) == 0)
  			printf("PASS\n");
      else
			  fprintf(stderr, "FAILED, $%s found\n", argv[2]);
		}else{
			fprintf(stderr, "FAILED, child did not exit normally\n");
		}
	}else{
		/* child */
//    close(0);
//    close(1);
//    close(2);
		(void)execve(argv[1], &argv[1], environ);
    puts("HERE");

		/* exec failed, kill outselves to flag parent */

		(void)kill(getpid(), SIGKILL);
	}

	return 0;
}
